# FoundationClasses
TKMath
math

# math_SingleTabOfReal Class Reference

`#include <math_SingleTabOfReal.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | math_SingleTabOfReal (const Standard_Integer LowerIndex, const Standard_Integer UpperIndex)
Standard_EXPORT | math_SingleTabOfReal (const Standard_Real &Tab, const Standard_Integer LowerIndex, const Standard_Integer UpperIndex)
Standard_EXPORT void | Init (const Standard_Real &InitValue)
Standard_EXPORT | math_SingleTabOfReal (const math_SingleTabOfReal &Other)
void | Copy (math_SingleTabOfReal &Other) const
Standard_EXPORT void | SetLower (const Standard_Integer LowerIndex)
Standard_Real & | Value (const Standard_Integer Index) const
Standard_Real & | operator() (const Standard_Integer Index) const
Standard_EXPORT void | Free ()
| ~math_SingleTabOfReal ()

## Private Attributes

Standard_Address | Addr
Standard_Boolean | isAllocated
Standard_Integer | First
Standard_Integer | Last

## Constructor & Destructor Documentation

Standard_EXPORT math_SingleTabOfReal::math_SingleTabOfReal | ( | const Standard_Integer | LowerIndex,
|  | const Standard_Integer | UpperIndex
| ) |

Standard_EXPORT math_SingleTabOfReal::math_SingleTabOfReal | ( | const Standard_Real & | Tab,
|  | const Standard_Integer | LowerIndex,
|  | const Standard_Integer | UpperIndex
| ) |

Standard_EXPORT math_SingleTabOfReal::math_SingleTabOfReal | ( | const math_SingleTabOfReal & | Other | ) |

math_SingleTabOfReal::~math_SingleTabOfReal | ( |  | ) | `[inline]`

## Member Function Documentation

void math_SingleTabOfReal::Copy | ( | math_SingleTabOfReal & | Other | ) | const

Standard_EXPORT void math_SingleTabOfReal::Free | ( |  | ) |

Standard_EXPORT void math_SingleTabOfReal::Init | ( | const Standard_Real & | InitValue | ) |

void math_SingleTabOfReal::operator delete | ( | void * | anAddress | ) | `[inline]`

void* math_SingleTabOfReal::operator new | ( | size_t | size | ) | `[inline]`

void* math_SingleTabOfReal::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_Real& math_SingleTabOfReal::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

Standard_EXPORT void math_SingleTabOfReal::SetLower | ( | const Standard_Integer | LowerIndex | ) |

Standard_Real& math_SingleTabOfReal::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Address math_SingleTabOfReal::Addr `[private]`

Standard_Integer math_SingleTabOfReal::First `[private]`

Standard_Boolean math_SingleTabOfReal::isAllocated `[private]`

Standard_Integer math_SingleTabOfReal::Last `[private]`

The documentation for this class was generated from the following file:

- math_SingleTabOfReal.hxx